Skip to main content
GET
/
transfers
/
reference
/
{reference}
cURL
curl --request GET \
  --url https://api.spotflow.co/api/v1/transfers/reference/{reference} \
  --header 'Authorization: Bearer <token>'
{
  "reference": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
  "spotflowreference": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
  "amount": 0,
  "currency": "NGN",
  "transferMode": "7706438396",
  "destination": {
    "accountNumber": "7706438396",
    "accountName": "Quantum Technologies",
    "bankCode": "NGN100",
    "branchCode": "NGN100",
    "bankName": "Testbank MFB"
  },
  "narrations": "string",
  "status": "string"
}

Documentation Index

Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

reference
string
required

This is the reference id of the transfer that you made on your account using what's in the 'reference' and not 'spotflowReference.

Response

reference
string<uuid>
Example:

"c1fba25a-a36b-479c-b17d-64dbaf3ba32c"

spotflowreference
string<uuid>
Example:

"c1fba25a-a36b-479c-b17d-64dbaf3ba32c"

amount
number<int32>
Example:

0

currency
string
Example:

"NGN"

transferMode
string
Example:

"7706438396"

destination
object
narrations
string
Example:

"string"

status
string
Example:

"string"